### Class

# Gcr CertificateExtensionCrlDistributionPoints

unstable since: 4.3.91

#### Description [src]

    final class Gcr.CertificateExtensionCrlDistributionPoints : Gcr.CertificateExtension
      implements Gio.ListModel {
      /* No available fields */
    }

A certificate extension that lists CRL distribution points.

Each distribution point is exposed as a `GcrDistributionPoint` object.

Available since: 4.3.91

#### Ancestors

- GcrCertificateExtension
- GObject

#### Implements

- GListModel

#### Instance methods

###### gcr_certificate_extension_crl_distribution_points_get_distribution_point

Returns the CRL distribution point at a given position.

##### Methods inherited from GcrCertificateExtension (4)

###### gcr_certificate_extension_get_description

Returns a user-displayable description of the OID that identifies the extension, if known.

unstable since: 4.3.90

###### gcr_certificate_extension_get_oid

Returns the OID that identifies the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_get_value

Returns the raw value in bytes of the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_is_critical

Returns wether the certificate extension is marked critical.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Gcr.CertificateExtensionCrlDistributionPoints:n-items

The number of items. See `g_list_model_get_n_items()`.

##### Properties inherited from GcrCertificateExtension (3)

###### Gcr.CertificateExtension:critical

Whether this certificate is critical.

###### Gcr.CertificateExtension:oid

The Object Identifier (OID) that identifies the extension.

###### Gcr.CertificateExtension:value

The raw value in bytes of the extension.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GcrCertificateExtensionCrlDistributionPointsClass {
      GcrCertificateExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: GcrCertificateExtensionClass`

  No description available.